FixedHeaders: download provides outdated version, according to compatibility table

FixedHeaders: download provides outdated version, according to compatibility table

fortiernorfortiernor Posts: 10Questions: 2Answers: 0

Compatibility table refers to FixedHeaders 4.0.0:

https://datatables.net/download/compatibility

Change log [...]
2021-09-10: FixedHeader 4.0.0
Scrolling now fully supported with FixedHeader
RowGroup now fully supported with FixedHeader
Scroller now fully supported with FixedHeader

However the download builder provides FixedHeaders 3.2.0, and the documentation page on FixedHeaders still states the incompatibilities associated with version 3, erroneously referring to the compatibility table:

https://datatables.net/extensions/fixedheader/

Please note that FixedHeader is not currently compatible with tables that have the scrolling features of DataTables enabled >(scrollX / scrollY). Please refer to the compatibility table for full compatibility detail

If latest stable version is indeed 4.0.0, it should be provided by the download builder and the documentation on FixedHeaders should be updated.
If version 3.2.0 is the latest stable version, then the compatibility table page should be corrected to reflect the incompatibilities associated with that version, and not refer to 4.0.0.
Thank you!

This question has an accepted answers - jump to answer

Answers

  • allanallan Posts: 56,187Questions: 1Answers: 8,897 Site admin
    edited October 2021 Answer ✓

    Thanks for pointing this out! It is an error in the compatibility chart. It should say 3.2.0, not 4.0.0! I'll get that fixed :).

    Allan

    edit - now done.

Sign In or Register to comment.